import { IOptions } from 'react-native-callkeep';
import { ConnectParams } from 'react-native-twilio-phone';
export declare type RNTwilioPhoneOptions = {
    requestPermissionsOnInit: boolean;
};
declare type Call = {
    uuid: string | null;
    sid: string | null;
};
declare class RNTwilioPhone {
    static calls: Call[];
    private static fetchAccessToken;
    private static deviceToken;
    private static activeCall;
    static initialize(callKeepOptions: IOptions, fetchAccessToken: () => Promise<string>, options?: RNTwilioPhoneOptions): () => void;
    static initializeCallKeep(callKeepOptions: IOptions, fetchAccessToken: () => Promise<string>, options?: RNTwilioPhoneOptions): () => void;
    static handleBackgroundState(): void;
    static startCall(to: string, calleeName?: string, from?: string, additionalParams?: ConnectParams): Promise<void>;
    static unregister(): Promise<void>;
    private static registerAndroid;
    private static registerIOS;
    private static listenTwilioPhone;
    private static listenCallKeep;
    private static removeTwilioPhoneListeners;
    private static removeCallKeepListeners;
    private static registerTwilioPhone;
    private static addCall;
    private static removeCall;
    private static getCallUUID;
    private static getCallSid;
}
export { RNTwilioPhone };
